Subject: Re: linux-next: build warning after merge of the powerpc tree

From: "Aneesh Kumar K.V" <[email-masked]>
Date: Tue, 24 Aug 2021 10:48:47 +0530

Stephen Rothwell <[email-masked]> writes:

> Hi all,
>
> [cc'ing Jon in case he can fix the sphix hang - or knows anything about it]
>
> On Mon, 23 Aug 2021 19:55:40 +1000 Stephen Rothwell <[email-masked]> wrote:
>>
>> After merging the powerpc tree, today's linux-next build (htmldocs)
>> produced this warning:
>> 
>
> I missed a line:
>
> Sphinx parallel build error:
>
>> docutils.utils.SystemMessage: Documentation/powerpc/associativity.rst:1: (SEVERE/4) Title overline & underline mismatch.
>> 
>> ============================
>> NUMA resource associativity
>> =============================
>> 
>> Introduced by commit
>> 
>>   1c6b5a7e7405 ("powerpc/pseries: Add support for FORM2 associativity")
>> 
>> There are other obvious problems with this document (but sphinx seems
>> to have hung before it reported them).
>> 
>> Like
>> 
>> Form 0
>> -----
>> 
>> and
>> 
>> Form 1
>> -----
>> 
>> and
>> 
>> Form 2
>> -------
>
> I also get the following warning:
>
> Documentation/powerpc/associativity.rst: WARNING: document isn't included in any toctree
>
> And applying the following patch is enough to allow sphinx to finish
> (rather than livelocking):
>
> diff --git a/Documentation/powerpc/associativity.rst b/Documentation/powerpc/associativity.rst
> index 07e7dd3d6c87..b77c6ccbd6cb 100644
> --- a/Documentation/powerpc/associativity.rst
> +++ b/Documentation/powerpc/associativity.rst
> @@ -1,6 +1,6 @@
> -============================
> +===========================
>  NUMA resource associativity
> -=============================
> +===========================
>  
>  Associativity represents the groupings of the various platform resources into
>  domains of substantially similar mean performance relative to resources outside
> @@ -20,11 +20,11 @@ A value of 1 indicates the usage of Form 1 associativity. For Form 2 associativi
>  bit 2 of byte 5 in the "ibm,architecture-vec-5" property is used.
>  
>  Form 0
> ------
> +------
>  Form 0 associativity supports only two NUMA distances (LOCAL and REMOTE).
>  
>  Form 1
> ------
> +------
>  With Form 1 a combination of ibm,associativity-reference-points, and ibm,associativity
>  device tree properties are used to determine the NUMA distance between resource groups/domains.
>  
> @@ -45,7 +45,7 @@ level of the resource group, the kernel doubles the NUMA distance between the
>  comparing domains.
>  
>  Form 2
> --------
> +------
>  Form 2 associativity format adds separate device tree properties representing NUMA node distance
>  thereby making the node distance computation flexible. Form 2 also allows flexible primary
>  domain numbering. With numa distance computation now detached from the index value in

Thanks for looking into this. I guess we also need to format the below table?

  | 0    8   40
--|------------
  |
0 | 10   20  80
  |
8 | 20   10  160
  |
40| 80   160  10

I don't know how to represent that in the documentation file. A table is
probably not the right one?

-aneesh